Subject: Multimedia in Linux

From: [email-masked] (Jason)
Date: Mon, 18 Sep 2000 23:08:47 -0700

Renicing the MP3 player to -19 would definitly help here, also using
an MP3 player that doesnt rely heavily on (or at all on) X may help
too. 

Using ISA sound and video at the same time, I doubt there is any way
to prevent skipping (buying a PCI video card would help, speeding up
the ISA bus in CMOS settings may help as well, but may cause other
problems in some systems)

Renicing a process effects how much processor time the system is
willing to allow a process to have. Processes with the most negetive
nice value can be extremely greedy (and hence not nice, LOL) and
consume the most CPU resources. An extremely processor intensive but
non-interactive application, such as the lifesearch simulation
(searches thru possible patterns for the xlife simulation game) ought
to be renice'd to 20, however, so that it doesnt consume system
resources when a user is trying to do other things, but rather, uses
CPU time that would otherwise go unused...

*In Winblows, there is no unused CPU time, when nothing is happening,
the windows OS waits for nothing to happen some more. This helps
ensure the CPU operates at maximum possible temperature and burns out
fastest, hopefully (for microsoft's point of view) resulting in the
purchase of a new system with yet another Winblows license...

> Would renicing processes help with the problems I am having playing mp3's? I
> am using AfterStep for a window manager, and whenever I move a window and my
> mp3 player is playing(any of them actually) it chokes the player and makes
> it sound like a skipping CD. My icecast server(or the streamer) seem to have
> the same problems. Would renicing help? What kind of effects does renicing
> have on processes?

-- 
[email-masked]    __
I Support Linux:           _> _  _ |_  _  _     _|
Working Together To       <__(_||_)| )| `(_|(_)(_|
To Build A Better Future.       |                   <s>